Get file metadata
curl --request GET \
--url https://api.uplint.dev/api/v1/files/{file_id}/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplint.dev/api/v1/files/{file_id}/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplint.dev/api/v1/files/{file_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "File metadata retrieved",
"data": {
"file_id": "6612f1a2c3b4d5e6f7890abc",
"original_filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 843776,
"context_key": "patient_reports",
"checksum": "sha256:e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"metadata": {
"department": "radiology"
},
"download_count": 3,
"last_downloaded_at": "2026-02-10T10:30:00Z"
},
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Invalid or missing API key",
"errors": [
"Authentication required"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Resource not found",
"errors": [
"Not found"
],
"timestamp": "2026-02-10T12:00:00Z"
}Files
Get File Metadata
Retrieve metadata for a single file including checksum, download count, and custom metadata.
GET
/
api
/
v1
/
files
/
{file_id}
/
metadata
Get file metadata
Authorizations
Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.
Path Parameters
The file's unique identifier.
Was this page helpful?
⌘I

